Android のセキュリティに関する公開情報 - 2023 年 11 月

2023 年 11 月 6 日公開 | 2023 年 11 月 7 日更新

Android のセキュリティに関する公開情報には、Android デバイスに影響を与えるセキュリティの脆弱性の詳細を掲載しています。セキュリティ パッチレベル 2023-11-05 以降では、下記のすべての問題に対処しています。デバイスのセキュリティ パッチレベルを確認するには、Android のバージョンを確認して更新する方法をご覧ください。

Android パートナーには、情報公開の 1 か月前までにすべての問題が通知されます。Android オープンソース プロジェクト(AOSP)のリポジトリに、以下の問題に対するソースコードのパッチをリリースしています。また、この公開情報では、これらのパッチへのリンクに加え、AOSP 以外のパッチへのリンクも掲載しています。

下記の問題のうち最も重大度の高いものは、システム コンポーネントで発見された重大なセキュリティの脆弱性です。追加の実行権限がなくても、ローカルで情報が漏えいするおそれがあります。重大度の評価は、攻撃対象のデバイスでその脆弱性が悪用された場合の影響に基づいています。プラットフォームやサービスでのリスク軽減策が、開発目的または不正な回避策により無効となっていると仮定しています。

Android セキュリティ プラットフォームの保護や Google Play プロテクトについて詳しくは、Android と Google Play プロテクトでのリスク軽減策をご覧ください。こうした保護により、Android プラットフォームのセキュリティが改善されます。

Android と Google サービスでのリスク軽減策

ここでは、Android セキュリティ プラットフォームの保護と Google Play プロテクトのようなサービスの保護によるリスクの軽減について概説します。こうした機能は、Android でセキュリティの脆弱性が悪用される可能性を減らします。

  • Android プラットフォームの最新版での機能強化により、Android 上の多くの問題の悪用が困難になります。Google では、すべてのユーザーに対し、できる限り最新版の Android に更新することをおすすめしています。
  • Android セキュリティ チームは、Google Play プロテクトを使って脆弱性の悪用を積極的に監視しており、有害な可能性があるアプリについてユーザーに警告しています。Google Play プロテクトは、Google モバイル サービスを搭載したデバイスではデフォルトで有効になっており、Google Play 以外からアプリをインストールするユーザーにとっては特に重要です。

セキュリティ パッチレベル 2023-11-01 の脆弱性の詳細

以下に、パッチレベル 2023-11-01 に該当するセキュリティ脆弱性の各項目の詳細を示します。脆弱性は、影響を受けるコンポーネントごとに分類しています。下の表に、問題の内容について説明し、CVE ID、関連する参照先、脆弱性のタイプ重大度、更新対象の AOSP バージョン(該当する場合)を示します。該当する場合は、バグ ID の欄に、その問題に対処した一般公開されている変更(AOSP の変更の一覧など)へのリンクがあります。複数の変更が同じバグに関係する場合は、バグ ID の後に記載されている番号に、追加の参照へのリンクが設定されています。Android 10 以降を搭載したデバイスは、セキュリティ アップデートと Google Play システム アップデートを受信することがあります。

フレームワーク

最も重大な脆弱性により、追加の実行権限がなくても、ローカルで権限を昇格される可能性があります。

CVE 参照 タイプ 重大度 更新対象の AOSP バージョン
CVE-2023-40106 A-278558814 EoP 11、12、12L、13、14
CVE-2023-40107 A-287298721 EoP 12、12L、13、14
CVE-2023-40109 A-291299076 EoP 11、12、12L、13、14
CVE-2023-40110 A-243463593 EoP 11、12、12L、13、14
CVE-2023-40111 A-272024837 EoP 14
CVE-2023-40114 A-243381410 EoP 11、12、12L、13、14
CVE-2023-40105 A-289549315 ID 11、12、12L、13、14
CVE-2023-40124 A-272025416 ID 11、12、12L、13

システム

システムの脆弱性で最も重大度が高いのは、追加の実行権限がなくてもローカルで情報を漏えいできるようになる問題です。

CVE 参照 タイプ 重大度 更新対象の AOSP バージョン
CVE-2023-40113 A-289242655 ID 重大 11、12、12L、13
CVE-2023-40100 A-278303745 EoP 11、12、12L、13、14
CVE-2023-40115 A-285645039 EoP 11、12、12L、13、14
CVE-2023-40104 A-284262845 ID 11、12、12L、13
CVE-2023-40112 A-168903843 ID 11
CVE-2023-21103 A-259064622 [2] DoS 11、12、12L、13
CVE-2023-21111 A-256819769 [2] DoS 11、12、12L、13

Google Play システム アップデート

プロジェクト Mainline のコンポーネントには次の問題が含まれています。

サブコンポーネント CVE
DNS Resolver CVE-2023-40100
Statsd CVE-2023-40115

セキュリティ パッチレベル 2023-11-05 の脆弱性の詳細

以下に、パッチレベル 2023-11-05 に該当するセキュリティ脆弱性の各項目の詳細を示します。脆弱性は、影響を受けるコンポーネントごとに分類しています。下の表に、問題の内容について説明し、CVE ID、関連する参照先、脆弱性のタイプ重大度、更新対象の AOSP バージョン(該当する場合)を示します。該当する場合は、バグ ID の欄に、その問題に対処した一般公開されている変更(AOSP の変更の一覧など)へのリンクがあります。複数の変更が同じバグに関係する場合は、バグ ID の後に記載した番号に、追加の参照へのリンクを設定しています。

カーネル LTS

次のカーネル バージョンが更新されました。カーネル バージョンの更新は、デバイスがリリースされたときの Android OS のバージョンによって異なります。

参照 Android リリース バージョン カーネル リリース バージョン 最小リリース バージョン
A-273609724 11 5.4 5.4.233
A-273609966 12 5.4 5.4.233
A-273610287 12 5.10 5.10.168
A-273610950 13 5.10 5.10.168
A-273610973 13 5.15 5.15.94

Arm コンポーネント

この脆弱性は Arm コンポーネントに影響を与えます。詳細については Arm から直接入手できます。この問題の重大度の評価は、Arm から直接提供されたものです。

CVE 参照 重大度 サブコンポーネント
CVE-2023-28469
A-274006187 * Mali

MediaTek コンポーネント

以下の脆弱性は MediaTek コンポーネントに影響を与えます。詳細については MediaTek から直接入手できます。問題の重大度の評価は、MediaTek から直接提供されたものです。

CVE 参照 重大度 サブコンポーネント
CVE-2023-32832
A-298879091
M-ALPS08235273 *
video
CVE-2023-32834
A-298879096
M-ALPS08161762 *
secmem
CVE-2023-32835
A-298881373
M-ALPS08157918 *
keyinstall
CVE-2023-32836
A-298879097
M-ALPS08126725 *
display
CVE-2023-32837
A-298879037
M-ALPS08235273 *
video
CVE-2023-20702
A-298879043
M-MOLY00921261 *
5G NRLC

Qualcomm コンポーネント

以下の脆弱性は Qualcomm コンポーネントに影響を与えます。詳細については、該当する Qualcomm のセキュリティに関する公開情報やセキュリティ アラートをご覧ください。問題の重大度の評価は、Qualcomm から直接提供されたものです。

CVE 参照 重大度 サブコンポーネント
CVE-2023-33031 A-290061915
QC-CR#3442627
音声
CVE-2023-33055
A-295039120
QC-CR#3454515 [2]
音声
CVE-2023-33059
A-295019252
QC-CR#3453288 [2] [3]
音声
CVE-2023-33074
A-295039157
QC-CR#3434828
音声

Qualcomm クローズドソース コンポーネント

以下の脆弱性は Qualcomm クローズドソース コンポーネントに影響を与えます。詳細については、該当する Qualcomm のセキュリティに関する公開情報やセキュリティ アラートをご覧ください。 問題の重大度の評価は、Qualcomm から直接提供されたものです。

CVE 参照 重大度 サブコンポーネント
CVE-2023-21671
A-280342069 * 重大 クローズドソース コンポーネント
CVE-2023-22388
A-280341977 * 重大 クローズドソース コンポーネント
CVE-2023-28574
A-280342089 * 重大 クローズドソース コンポーネント
CVE-2023-33045
A-295019170 * 重大 クローズドソース コンポーネント
CVE-2023-24852
A-280342090 * クローズドソース コンポーネント
CVE-2023-28545
A-280341536 * クローズドソース コンポーネント
CVE-2023-28556
A-280342072 * クローズドソース コンポーネント
CVE-2023-33047
A-295039557 * クローズドソース コンポーネント
CVE-2023-33048
A-295038661 * クローズドソース コンポーネント
CVE-2023-33056
A-295039159 * クローズドソース コンポーネント
CVE-2023-33061
A-295039730 * クローズドソース コンポーネント

一般的な質問と回答

上記の公開情報に対する一般的な質問とその回答は以下のとおりです。

1. 上記の問題に対処するようにデバイスが更新されているかどうかを確かめるには、どうすればよいですか?

デバイスのセキュリティ パッチレベルを確認するには、Android のバージョンを確認して更新する方法をご覧ください。

  • セキュリティ パッチレベル 2023-11-01 以降では、セキュリティ パッチレベル 2023-11-01 に関連するすべての問題に対処しています。
  • セキュリティ パッチレベル 2023-11-05 以降では、セキュリティ パッチレベル 2023-11-05、およびそれ以前のすべてのパッチレベルに関連するすべての問題に対処しています。

デバイス メーカーは、こうしたアップデートを組み込む場合、パッチレベル文字列を以下のとおり設定する必要があります。

  • [ro.build.version.security_patch]:[2023-11-01]
  • [ro.build.version.security_patch]:[2023-11-05]

Android 10 以降を搭載した一部のデバイスでは、Google Play システム アップデートに、セキュリティ パッチレベル 2023-11-01 と一致する日付文字列が含まれます。 セキュリティ アップデートのインストール方法について詳しくは、こちらの記事をご覧ください。

2. この公開情報に 2 つのセキュリティ パッチレベルがあるのはなぜですか?

この公開情報で 2 つのセキュリティ パッチレベルを定義しているのは、すべての Android デバイスにまたがる同様の脆弱性をひとまとめにして、Android パートナーが迅速かつ柔軟に修正できるようにするためです。Android パートナーは、この公開情報に掲載されている問題をすべて修正し、最新のセキュリティ パッチレベルを使用することが推奨されます。

  • 2023-11-01 のセキュリティ パッチレベルを使用するデバイスには、そのセキュリティ パッチレベルに関連するすべての問題と、それ以前のセキュリティに関する公開情報で報告されたすべての問題の修正を含める必要があります。
  • 2023-11-05 以降のセキュリティ パッチレベルを使用するデバイスには、今回(およびそれ以前)のセキュリティに関する公開情報に掲載された、該当するすべてのパッチを組み込む必要があります。

パートナーには、対処するすべての問題の修正を 1 つのアップデートにまとめて提供することが推奨されています。

3. 「タイプ」列の項目はどういう意味ですか?

脆弱性の詳細の表で「タイプ」列に記載した項目は、セキュリティの脆弱性の分類を示しています。

略語 定義
RCE リモートコード実行
EoP 権限昇格
ID 情報開示
DoS サービス拒否
なし 該当する分類なし

4. 「参照」列の項目はどういう意味ですか?

脆弱性の詳細の表で「参照」列に記載した項目には、その参照番号が属する組織を示す接頭辞が含まれる場合があります。

接頭辞 参照
A- Android バグ ID
QC- Qualcomm の参照番号
M- MediaTek の参照番号
N- NVIDIA の参照番号
B- Broadcom の参照番号
U- UNISOC の参照番号

5. 「参照」列の Android バグ ID の横にある「*」はどういう意味ですか?

公開されていない問題には、対応する参照 ID の横に「*」を付けています。この問題のアップデートは、Google デベロッパー サイトから入手できる Google Pixel デバイス用最新バイナリ ドライバに通常含まれています。

6. セキュリティの脆弱性が、この公開情報とデバイスやパートナーのセキュリティに関する公開情報(Google Pixel のセキュリティに関する公開情報など)に分けられているのはなぜですか?

Android デバイスの最新のセキュリティ パッチレベルを宣言するためには、このセキュリティに関する公開情報に掲載されているセキュリティの脆弱性への対処が必要となります。それ以外の、デバイスやパートナーのセキュリティに関する公開情報に掲載されているセキュリティの脆弱性への対処は必須ではありません。また、Android デバイスやチップセットのメーカー(GoogleHuaweiLGEMotorolaNokiaSamsung など)からも、各社製品に固有のセキュリティの脆弱性に関する詳細情報が公開される場合があります。

バージョン

バージョン 日付 メモ
1.0 2023 年 11 月 6 日 情報公開
1.1 2023 年 11 月 7 日 公開情報を改訂し AOSP リンクを追加